/* 
 * Copyright 2015 Key Bridge LLC.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package us.gov.dod.standard.ssrf._3_1.metadata.lists;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;
import us.gov.dod.standard.ssrf._3_1.assignment.Link;

/**
 * Enumerated values for fields using the ListCFN type.
 * <p>
 * Used in {@link Link}
 * <p>
 * @author Key Bridge LLC <developer@keybridge.ch>
 * @version 3.1.0, 04/02/2015
 */
@XmlType(name = "ListCFN")
@XmlEnum
public enum ListCFN {

  UNKNOWN("UNKNOWN"),
  @XmlEnumValue("AIR OPS")
  AIR_OPS("AIR OPS"),
  @XmlEnumValue("AIR OPS - AIR/AIR COMMS")
  AIR_OPS_AIR_AIR_COMMS("AIR OPS - AIR/AIR COMMS"),
  @XmlEnumValue("AIR OPS - AIR/AIR COMMS - A-EPLRS")
  AIR_OPS_AIR_AIR_COMMS_A_EPLRS("AIR OPS - AIR/AIR COMMS - A-EPLRS"),
  @XmlEnumValue("AIR OPS - AIR/AIR COMMS - AIR DEFENSE/INTERCEPT")
  AIR_OPS_AIR_AIR_COMMS_AIR_DEFENSE_INTERCEPT("AIR OPS - AIR/AIR COMMS - AIR DEFENSE/INTERCEPT"),
  @XmlEnumValue("AIR OPS - AIR/AIR COMMS - BLUE ANGELS")
  AIR_OPS_AIR_AIR_COMMS_BLUE_ANGELS("AIR OPS - AIR/AIR COMMS - BLUE ANGELS"),
  @XmlEnumValue("AIR OPS - AIR/AIR COMMS - HAVE QUICK")
  AIR_OPS_AIR_AIR_COMMS_HAVE_QUICK("AIR OPS - AIR/AIR COMMS - HAVE QUICK"),
  @XmlEnumValue("AIR OPS - AIR/AIR COMMS - SATURN")
  AIR_OPS_AIR_AIR_COMMS_SATURN("AIR OPS - AIR/AIR COMMS - SATURN"),
  @XmlEnumValue("AIR OPS - AIR/AIR COMMS - INSTRUCTOR/STUDENT TRAINING")
  AIR_OPS_AIR_AIR_COMMS_INSTRUCTOR_STUDENT_TRAINING("AIR OPS - AIR/AIR COMMS - INSTRUCTOR/STUDENT TRAINING"),
  @XmlEnumValue("AIR OPS - AIR/AIR COMMS - INTERPLANE")
  AIR_OPS_AIR_AIR_COMMS_INTERPLANE("AIR OPS - AIR/AIR COMMS - INTERPLANE"),
  @XmlEnumValue("AIR OPS - AIR/AIR COMMS - PILOT-TO-PILOT")
  AIR_OPS_AIR_AIR_COMMS_PILOT_TO_PILOT("AIR OPS - AIR/AIR COMMS - PILOT-TO-PILOT"),
  @XmlEnumValue("AIR OPS - AIR/AIR COMMS - REFUELING")
  AIR_OPS_AIR_AIR_COMMS_REFUELING("AIR OPS - AIR/AIR COMMS - REFUELING"),
  @XmlEnumValue("AIR OPS - AIR/AIR COMMS - THUNDERBIRDS")
  AIR_OPS_AIR_AIR_COMMS_THUNDERBIRDS("AIR OPS - AIR/AIR COMMS - THUNDERBIRDS"),
  @XmlEnumValue("AIR OPS - AIR/GROUND/AIR COMMS")
  AIR_OPS_AIR_GROUND_AIR_COMMS("AIR OPS - AIR/GROUND/AIR COMMS"),
  @XmlEnumValue("AIR OPS - AIR/GROUND/AIR COMMS - AIR DEFENSE/INTERCEPT")
  AIR_OPS_AIR_GROUND_AIR_COMMS_AIR_DEFENSE_INTERCEPT("AIR OPS - AIR/GROUND/AIR COMMS - AIR DEFENSE/INTERCEPT"),
  @XmlEnumValue("AIR OPS - AIR/GROUND/AIR COMMS - BROADCAST")
  AIR_OPS_AIR_GROUND_AIR_COMMS_BROADCAST("AIR OPS - AIR/GROUND/AIR COMMS - BROADCAST"),
  @XmlEnumValue("AIR OPS - AIR/GROUND/AIR COMMS - COMMAND POST")
  AIR_OPS_AIR_GROUND_AIR_COMMS_COMMAND_POST("AIR OPS - AIR/GROUND/AIR COMMS - COMMAND POST"),
  @XmlEnumValue("AIR OPS - AIR/GROUND/AIR COMMS - FLIGHT FOLLOWING")
  AIR_OPS_AIR_GROUND_AIR_COMMS_FLIGHT_FOLLOWING("AIR OPS - AIR/GROUND/AIR COMMS - FLIGHT FOLLOWING"),
  @XmlEnumValue("AIR OPS - AIR/GROUND/AIR COMMS - GOLDEN KNIGHTS")
  AIR_OPS_AIR_GROUND_AIR_COMMS_GOLDEN_KNIGHTS("AIR OPS - AIR/GROUND/AIR COMMS - GOLDEN KNIGHTS"),
  @XmlEnumValue("AIR OPS - AIR/GROUND/AIR COMMS - HAVE QUICK")
  AIR_OPS_AIR_GROUND_AIR_COMMS_HAVE_QUICK("AIR OPS - AIR/GROUND/AIR COMMS - HAVE QUICK"),
  @XmlEnumValue("AIR OPS - AIR/GROUND/AIR COMMS - SATURN")
  AIR_OPS_AIR_GROUND_AIR_COMMS_SATURN("AIR OPS - AIR/GROUND/AIR COMMS - SATURN"),
  @XmlEnumValue("AIR OPS - AIR/GROUND/AIR COMMS - PILOT-TO-DISPATCHER")
  AIR_OPS_AIR_GROUND_AIR_COMMS_PILOT_TO_DISPATCHER("AIR OPS - AIR/GROUND/AIR COMMS - PILOT-TO-DISPATCHER"),
  @XmlEnumValue("AIR OPS - AIR/GROUND/AIR COMMS - PILOT-TO-METRO")
  AIR_OPS_AIR_GROUND_AIR_COMMS_PILOT_TO_METRO("AIR OPS - AIR/GROUND/AIR COMMS - PILOT-TO-METRO"),
  @XmlEnumValue("AIR OPS - AIR/GROUND/AIR COMMS - SQUADRON/WING COMMON")
  AIR_OPS_AIR_GROUND_AIR_COMMS_SQUADRON_WING_COMMON("AIR OPS - AIR/GROUND/AIR COMMS - SQUADRON/WING COMMON"),
  @XmlEnumValue("AIR OPS - AIR/GROUND/AIR COMMS - SOF")
  AIR_OPS_AIR_GROUND_AIR_COMMS_SOF("AIR OPS - AIR/GROUND/AIR COMMS - SOF"),
  @XmlEnumValue("AIR OPS - AIR/GROUND/AIR COMMS - TRAINING")
  AIR_OPS_AIR_GROUND_AIR_COMMS_TRAINING("AIR OPS - AIR/GROUND/AIR COMMS - TRAINING"),
  @XmlEnumValue("AIR OPS - AIR TRAFFIC CONTROL")
  AIR_OPS_AIR_TRAFFIC_CONTROL("AIR OPS - AIR TRAFFIC CONTROL"),
  @XmlEnumValue("AIR OPS - AIR TRAFFIC CONTROL - APPROACH CONTROL")
  AIR_OPS_AIR_TRAFFIC_CONTROL_APPROACH_CONTROL("AIR OPS - AIR TRAFFIC CONTROL - APPROACH CONTROL"),
  @XmlEnumValue("AIR OPS - AIR TRAFFIC CONTROL - ATIS")
  AIR_OPS_AIR_TRAFFIC_CONTROL_ATIS("AIR OPS - AIR TRAFFIC CONTROL - ATIS"),
  @XmlEnumValue("AIR OPS - AIR TRAFFIC CONTROL - CLEARANCE DELIVERY")
  AIR_OPS_AIR_TRAFFIC_CONTROL_CLEARANCE_DELIVERY("AIR OPS - AIR TRAFFIC CONTROL - CLEARANCE DELIVERY"),
  @XmlEnumValue("AIR OPS - AIR TRAFFIC CONTROL - DBRITE")
  AIR_OPS_AIR_TRAFFIC_CONTROL_DBRITE("AIR OPS - AIR TRAFFIC CONTROL - DBRITE"),
  @XmlEnumValue("AIR OPS - AIR TRAFFIC CONTROL - DEPARTURE CONTROL")
  AIR_OPS_AIR_TRAFFIC_CONTROL_DEPARTURE_CONTROL("AIR OPS - AIR TRAFFIC CONTROL - DEPARTURE CONTROL"),
  @XmlEnumValue("AIR OPS - AIR TRAFFIC CONTROL - FEEDER CONTROL")
  AIR_OPS_AIR_TRAFFIC_CONTROL_FEEDER_CONTROL("AIR OPS - AIR TRAFFIC CONTROL - FEEDER CONTROL"),
  @XmlEnumValue("AIR OPS - AIR TRAFFIC CONTROL - FLIGHT INSPECTION")
  AIR_OPS_AIR_TRAFFIC_CONTROL_FLIGHT_INSPECTION("AIR OPS - AIR TRAFFIC CONTROL - FLIGHT INSPECTION"),
  @XmlEnumValue("AIR OPS - AIR TRAFFIC CONTROL - GCA")
  AIR_OPS_AIR_TRAFFIC_CONTROL_GCA("AIR OPS - AIR TRAFFIC CONTROL - GCA"),
  @XmlEnumValue("AIR OPS - AIR TRAFFIC CONTROL - GROUND CONTROL")
  AIR_OPS_AIR_TRAFFIC_CONTROL_GROUND_CONTROL("AIR OPS - AIR TRAFFIC CONTROL - GROUND CONTROL"),
  @XmlEnumValue("AIR OPS - AIR TRAFFIC CONTROL - LOCAL CONTROL")
  AIR_OPS_AIR_TRAFFIC_CONTROL_LOCAL_CONTROL("AIR OPS - AIR TRAFFIC CONTROL - LOCAL CONTROL"),
  @XmlEnumValue("AIR OPS - AIR TRAFFIC CONTROL - TOWER")
  AIR_OPS_AIR_TRAFFIC_CONTROL_TOWER("AIR OPS - AIR TRAFFIC CONTROL - TOWER"),
  @XmlEnumValue("AIR OPS - EXECUTIVE")
  AIR_OPS_EXECUTIVE("AIR OPS - EXECUTIVE"),
  @XmlEnumValue("AIR OPS - EXECUTIVE - AIR FORCE ONE")
  AIR_OPS_EXECUTIVE_AIR_FORCE_ONE("AIR OPS - EXECUTIVE - AIR FORCE ONE"),
  @XmlEnumValue("AIR OPS - EXECUTIVE - AIRBORNE COMMAND CENTER")
  AIR_OPS_EXECUTIVE_AIRBORNE_COMMAND_CENTER("AIR OPS - EXECUTIVE - AIRBORNE COMMAND CENTER"),
  @XmlEnumValue("AIR OPS - EXECUTIVE - GENERAL OFFICER SUPPORT")
  AIR_OPS_EXECUTIVE_GENERAL_OFFICER_SUPPORT("AIR OPS - EXECUTIVE - GENERAL OFFICER SUPPORT"),
  @XmlEnumValue("AIR OPS - EXECUTIVE - ERCS")
  AIR_OPS_EXECUTIVE_ERCS("AIR OPS - EXECUTIVE - ERCS"),
  @XmlEnumValue("AIR OPS - EXECUTIVE - MYSTIC STAR")
  AIR_OPS_EXECUTIVE_MYSTIC_STAR("AIR OPS - EXECUTIVE - MYSTIC STAR"),
  @XmlEnumValue("AIR OPS - EXECUTIVE - NAOC (National Airborne OPS Center)")
  AIR_OPS_EXECUTIVE_NAOC_NATIONAL_AIRBORNE_OPS_CENTER("AIR OPS - EXECUTIVE - NAOC (National Airborne OPS Center)"),
  @XmlEnumValue("AIR OPS - EXECUTIVE - NORAD")
  AIR_OPS_EXECUTIVE_NORAD("AIR OPS - EXECUTIVE - NORAD"),
  @XmlEnumValue("AIR OPS - EXECUTIVE - WHCA (White House COMMS Agency)")
  AIR_OPS_EXECUTIVE_WHCA_WHITE_HOUSE_COMMS_AGENCY("AIR OPS - EXECUTIVE - WHCA (White House COMMS Agency)"),
  @XmlEnumValue("AIR OPS - FLIGHT TEST")
  AIR_OPS_FLIGHT_TEST("AIR OPS - FLIGHT TEST"),
  @XmlEnumValue("AIR OPS - NAVAIDS")
  AIR_OPS_NAVAIDS("AIR OPS - NAVAIDS"),
  @XmlEnumValue("AIR OPS - NAVAIDS - AIR ROUTE SURVEILLANCE RADAR")
  AIR_OPS_NAVAIDS_AIR_ROUTE_SURVEILLANCE_RADAR("AIR OPS - NAVAIDS - AIR ROUTE SURVEILLANCE RADAR"),
  @XmlEnumValue("AIR OPS - NAVAIDS - AIRPORT SURVEILLANCE RADAR")
  AIR_OPS_NAVAIDS_AIRPORT_SURVEILLANCE_RADAR("AIR OPS - NAVAIDS - AIRPORT SURVEILLANCE RADAR"),
  @XmlEnumValue("AIR OPS - NAVAIDS - BEACON")
  AIR_OPS_NAVAIDS_BEACON("AIR OPS - NAVAIDS - BEACON"),
  @XmlEnumValue("AIR OPS - NAVAIDS - ETCAS")
  AIR_OPS_NAVAIDS_ETCAS("AIR OPS - NAVAIDS - ETCAS"),
  @XmlEnumValue("AIR OPS - NAVAIDS - IFF/SIF")
  AIR_OPS_NAVAIDS_IFF_SIF("AIR OPS - NAVAIDS - IFF/SIF"),
  @XmlEnumValue("AIR OPS - NAVAIDS - ILS")
  AIR_OPS_NAVAIDS_ILS("AIR OPS - NAVAIDS - ILS"),
  @XmlEnumValue("AIR OPS - NAVAIDS - MLS")
  AIR_OPS_NAVAIDS_MLS("AIR OPS - NAVAIDS - MLS"),
  @XmlEnumValue("AIR OPS - NAVAIDS - PAR")
  AIR_OPS_NAVAIDS_PAR("AIR OPS - NAVAIDS - PAR"),
  @XmlEnumValue("AIR OPS - NAVAIDS - RF TAGS")
  AIR_OPS_NAVAIDS_RF_TAGS("AIR OPS - NAVAIDS - RF TAGS"),
  @XmlEnumValue("AIR OPS - NAVAIDS - TACAN")
  AIR_OPS_NAVAIDS_TACAN("AIR OPS - NAVAIDS - TACAN"),
  @XmlEnumValue("AIR OPS - NAVAIDS - TCAS")
  AIR_OPS_NAVAIDS_TCAS("AIR OPS - NAVAIDS - TCAS"),
  @XmlEnumValue("AIR OPS - NAVAIDS - VOR")
  AIR_OPS_NAVAIDS_VOR("AIR OPS - NAVAIDS - VOR"),
  @XmlEnumValue("AIR OPS - NAVAIDS - VORTAC")
  AIR_OPS_NAVAIDS_VORTAC("AIR OPS - NAVAIDS - VORTAC"),
  @XmlEnumValue("AIR OPS - NAVAIDS - WEATHER RADAR")
  AIR_OPS_NAVAIDS_WEATHER_RADAR("AIR OPS - NAVAIDS - WEATHER RADAR"),
  @XmlEnumValue("AIR OPS - TELECOMMAND")
  AIR_OPS_TELECOMMAND("AIR OPS - TELECOMMAND"),
  @XmlEnumValue("AIR OPS - TELECOMMAND - COMMAND DESTRUCT/TERMINATION")
  AIR_OPS_TELECOMMAND_COMMAND_DESTRUCT_TERMINATION("AIR OPS - TELECOMMAND - COMMAND DESTRUCT/TERMINATION"),
  @XmlEnumValue("AIR OPS - TELECOMMAND - DRONE CONTROL")
  AIR_OPS_TELECOMMAND_DRONE_CONTROL("AIR OPS - TELECOMMAND - DRONE CONTROL"),
  @XmlEnumValue("AIR OPS - TELECOMMAND - MICROWAVE DATA LINK")
  AIR_OPS_TELECOMMAND_MICROWAVE_DATA_LINK("AIR OPS - TELECOMMAND - MICROWAVE DATA LINK"),
  @XmlEnumValue("AIR OPS - TELECOMMAND - TMGS")
  AIR_OPS_TELECOMMAND_TMGS("AIR OPS - TELECOMMAND - TMGS"),
  @XmlEnumValue("AIR OPS - TELECOMMAND - TOSS")
  AIR_OPS_TELECOMMAND_TOSS("AIR OPS - TELECOMMAND - TOSS"),
  @XmlEnumValue("AIR OPS - UAV")
  AIR_OPS_UAV("AIR OPS - UAV"),
  @XmlEnumValue("AIR OPS - TRAINING")
  AIR_OPS_TRAINING("AIR OPS - TRAINING"),
  @XmlEnumValue("AIR OPS - TARGET ACQUISITION")
  AIR_OPS_TARGET_ACQUISITION("AIR OPS - TARGET ACQUISITION"),
  @XmlEnumValue("AIR OPS - TARGET ACQUISITION - LONGBOW")
  AIR_OPS_TARGET_ACQUISITION_LONGBOW("AIR OPS - TARGET ACQUISITION - LONGBOW"),
  @XmlEnumValue("AIR OPS - TARGET ACQUISITION - MISSILE")
  AIR_OPS_TARGET_ACQUISITION_MISSILE("AIR OPS - TARGET ACQUISITION - MISSILE"),
  @XmlEnumValue("AIR OPS - APPROACH/DEPARTURE CONTROL")
  AIR_OPS_APPROACH_DEPARTURE_CONTROL("AIR OPS - APPROACH/DEPARTURE CONTROL"),
  @XmlEnumValue("GROUND OPS")
  GROUND_OPS("GROUND OPS"),
  @XmlEnumValue("GROUND OPS - AIR DEFENSE")
  GROUND_OPS_AIR_DEFENSE("GROUND OPS - AIR DEFENSE"),
  @XmlEnumValue("GROUND OPS - AIR DEFENSE - ARTILLERY")
  GROUND_OPS_AIR_DEFENSE_ARTILLERY("GROUND OPS - AIR DEFENSE - ARTILLERY"),
  @XmlEnumValue("GROUND OPS - AIR DEFENSE - AVENGER-STC")
  GROUND_OPS_AIR_DEFENSE_AVENGER_STC("GROUND OPS - AIR DEFENSE - AVENGER-STC"),
  @XmlEnumValue("GROUND OPS - AIR DEFENSE - FAADC2")
  GROUND_OPS_AIR_DEFENSE_FAADC_2("GROUND OPS - AIR DEFENSE - FAADC2"),
  @XmlEnumValue("GROUND OPS - AIR DEFENSE - LINEBACKER")
  GROUND_OPS_AIR_DEFENSE_LINEBACKER("GROUND OPS - AIR DEFENSE - LINEBACKER"),
  @XmlEnumValue("GROUND OPS - AIR DEFENSE - PATRIOT")
  GROUND_OPS_AIR_DEFENSE_PATRIOT("GROUND OPS - AIR DEFENSE - PATRIOT"),
  @XmlEnumValue("GROUND OPS - AIR DEFENSE - SENTINEL")
  GROUND_OPS_AIR_DEFENSE_SENTINEL("GROUND OPS - AIR DEFENSE - SENTINEL"),
  @XmlEnumValue("GROUND OPS - ENGINEERS")
  GROUND_OPS_ENGINEERS("GROUND OPS - ENGINEERS"),
  @XmlEnumValue("GROUND OPS - ENGINEERS - GRIZZLY")
  GROUND_OPS_ENGINEERS_GRIZZLY("GROUND OPS - ENGINEERS - GRIZZLY"),
  @XmlEnumValue("GROUND OPS - ENGINEERS - M93A1 FOX")
  GROUND_OPS_ENGINEERS_M_93_A_1_FOX("GROUND OPS - ENGINEERS - M93A1 FOX"),
  @XmlEnumValue("GROUND OPS - ENGINEERS - WOLVERINE")
  GROUND_OPS_ENGINEERS_WOLVERINE("GROUND OPS - ENGINEERS - WOLVERINE"),
  @XmlEnumValue("GROUND OPS - ARTILLERY")
  GROUND_OPS_ARTILLERY("GROUND OPS - ARTILLERY"),
  @XmlEnumValue("GROUND OPS - ARTILLERY - AQF")
  GROUND_OPS_ARTILLERY_AQF("GROUND OPS - ARTILLERY - AQF"),
  @XmlEnumValue("GROUND OPS - ARTILLERY - LLDR")
  GROUND_OPS_ARTILLERY_LLDR("GROUND OPS - ARTILLERY - LLDR"),
  @XmlEnumValue("GROUND OPS - ARTILLERY - MLRS")
  GROUND_OPS_ARTILLERY_MLRS("GROUND OPS - ARTILLERY - MLRS"),
  @XmlEnumValue("GROUND OPS - BATTLE COMMAND")
  GROUND_OPS_BATTLE_COMMAND("GROUND OPS - BATTLE COMMAND"),
  @XmlEnumValue("GROUND OPS - BATTLE COMMAND - A2C2S")
  GROUND_OPS_BATTLE_COMMAND_A_2_C_2_S("GROUND OPS - BATTLE COMMAND - A2C2S"),
  @XmlEnumValue("GROUND OPS - BATTLE COMMAND - A-EPLRS (SADL)")
  GROUND_OPS_BATTLE_COMMAND_A_EPLRS_SADL("GROUND OPS - BATTLE COMMAND - A-EPLRS (SADL)"),
  @XmlEnumValue("GROUND OPS - BATTLE COMMAND - CTT")
  GROUND_OPS_BATTLE_COMMAND_CTT("GROUND OPS - BATTLE COMMAND - CTT"),
  @XmlEnumValue("GROUND OPS - BATTLE COMMAND - EPLRS")
  GROUND_OPS_BATTLE_COMMAND_EPLRS("GROUND OPS - BATTLE COMMAND - EPLRS"),
  @XmlEnumValue("GROUND OPS - BATTLE COMMAND - LAND WARRIOR")
  GROUND_OPS_BATTLE_COMMAND_LAND_WARRIOR("GROUND OPS - BATTLE COMMAND - LAND WARRIOR"),
  @XmlEnumValue("GROUND OPS - BATTLE COMMAND - NTDR")
  GROUND_OPS_BATTLE_COMMAND_NTDR("GROUND OPS - BATTLE COMMAND - NTDR"),
  @XmlEnumValue("GROUND OPS - BATTLE COMMAND - SCAMP")
  GROUND_OPS_BATTLE_COMMAND_SCAMP("GROUND OPS - BATTLE COMMAND - SCAMP"),
  @XmlEnumValue("GROUND OPS - BATTLE COMMAND - SINCGARS")
  GROUND_OPS_BATTLE_COMMAND_SINCGARS("GROUND OPS - BATTLE COMMAND - SINCGARS"),
  @XmlEnumValue("GROUND OPS - BATTLE COMMAND - SINCGARS-ASIP")
  GROUND_OPS_BATTLE_COMMAND_SINCGARS_ASIP("GROUND OPS - BATTLE COMMAND - SINCGARS-ASIP"),
  @XmlEnumValue("GROUND OPS - BATTLE COMMAND - WIN-T")
  GROUND_OPS_BATTLE_COMMAND_WIN_T("GROUND OPS - BATTLE COMMAND - WIN-T"),
  @XmlEnumValue("GROUND OPS - CAVALRY")
  GROUND_OPS_CAVALRY("GROUND OPS - CAVALRY"),
  @XmlEnumValue("GROUND OPS - CAVALRY - STRIKER II")
  GROUND_OPS_CAVALRY_STRIKER_II("GROUND OPS - CAVALRY - STRIKER II"),
  @XmlEnumValue("GROUND OPS - CLOSE AIR SUPPORT (CAS)")
  GROUND_OPS_CLOSE_AIR_SUPPORT_CAS("GROUND OPS - CLOSE AIR SUPPORT (CAS)"),
  @XmlEnumValue("GROUND OPS - COMBAT CONTROL TEAM")
  GROUND_OPS_COMBAT_CONTROL_TEAM("GROUND OPS - COMBAT CONTROL TEAM"),
  @XmlEnumValue("GROUND OPS - COMMAND POST")
  GROUND_OPS_COMMAND_POST("GROUND OPS - COMMAND POST"),
  @XmlEnumValue("GROUND OPS - ELECTRONIC WARFARE")
  GROUND_OPS_ELECTRONIC_WARFARE("GROUND OPS - ELECTRONIC WARFARE"),
  @XmlEnumValue("GROUND OPS - ELECTRONIC WARFARE - ACS")
  GROUND_OPS_ELECTRONIC_WARFARE_ACS("GROUND OPS - ELECTRONIC WARFARE - ACS"),
  @XmlEnumValue("GROUND OPS - ELECTRONIC WARFARE - AHFEWS")
  GROUND_OPS_ELECTRONIC_WARFARE_AHFEWS("GROUND OPS - ELECTRONIC WARFARE - AHFEWS"),
  @XmlEnumValue("GROUND OPS - ELECTRONIC WARFARE - ARL")
  GROUND_OPS_ELECTRONIC_WARFARE_ARL("GROUND OPS - ELECTRONIC WARFARE - ARL"),
  @XmlEnumValue("GROUND OPS - ELECTRONIC WARFARE - IEWCS")
  GROUND_OPS_ELECTRONIC_WARFARE_IEWCS("GROUND OPS - ELECTRONIC WARFARE - IEWCS"),
  @XmlEnumValue("GROUND OPS - ELECTRONIC WARFARE - LMRDFS")
  GROUND_OPS_ELECTRONIC_WARFARE_LMRDFS("GROUND OPS - ELECTRONIC WARFARE - LMRDFS"),
  @XmlEnumValue("GROUND OPS - ELECTRONIC WARFARE - TACJAM")
  GROUND_OPS_ELECTRONIC_WARFARE_TACJAM("GROUND OPS - ELECTRONIC WARFARE - TACJAM"),
  @XmlEnumValue("GROUND OPS - ELECTRONIC WARFARE - TEAMMATE")
  GROUND_OPS_ELECTRONIC_WARFARE_TEAMMATE("GROUND OPS - ELECTRONIC WARFARE - TEAMMATE"),
  @XmlEnumValue("GROUND OPS - ELECTRONIC WARFARE - TRACKWOLF")
  GROUND_OPS_ELECTRONIC_WARFARE_TRACKWOLF("GROUND OPS - ELECTRONIC WARFARE - TRACKWOLF"),
  @XmlEnumValue("GROUND OPS - FIRE SUPPORT")
  GROUND_OPS_FIRE_SUPPORT("GROUND OPS - FIRE SUPPORT"),
  @XmlEnumValue("GROUND OPS - FIRE SUPPORT - AFATDS")
  GROUND_OPS_FIRE_SUPPORT_AFATDS("GROUND OPS - FIRE SUPPORT - AFATDS"),
  @XmlEnumValue("GROUND OPS - FIRE SUPPORT - ARTILLERY")
  GROUND_OPS_FIRE_SUPPORT_ARTILLERY("GROUND OPS - FIRE SUPPORT - ARTILLERY"),
  @XmlEnumValue("GROUND OPS - FIRE SUPPORT - CLOSE AIR SUPPORT (CAS)")
  GROUND_OPS_FIRE_SUPPORT_CLOSE_AIR_SUPPORT_CAS("GROUND OPS - FIRE SUPPORT - CLOSE AIR SUPPORT (CAS)"),
  @XmlEnumValue("GROUND OPS - FIRE SUPPORT - MFCS")
  GROUND_OPS_FIRE_SUPPORT_MFCS("GROUND OPS - FIRE SUPPORT - MFCS"),
  @XmlEnumValue("GROUND OPS - FORWARD AIR CONTROL POST")
  GROUND_OPS_FORWARD_AIR_CONTROL_POST("GROUND OPS - FORWARD AIR CONTROL POST"),
  @XmlEnumValue("GROUND OPS - GROUND INTERDICTION")
  GROUND_OPS_GROUND_INTERDICTION("GROUND OPS - GROUND INTERDICTION"),
  @XmlEnumValue("GROUND OPS - GROUND INTERDICTION - CIWS")
  GROUND_OPS_GROUND_INTERDICTION_CIWS("GROUND OPS - GROUND INTERDICTION - CIWS"),
  @XmlEnumValue("GROUND OPS - GROUND INTERDICTION - GBCS-L")
  GROUND_OPS_GROUND_INTERDICTION_GBCS_L("GROUND OPS - GROUND INTERDICTION - GBCS-L"),
  @XmlEnumValue("GROUND OPS - GROUND INTERDICTION - GSR")
  GROUND_OPS_GROUND_INTERDICTION_GSR("GROUND OPS - GROUND INTERDICTION - GSR"),
  @XmlEnumValue("GROUND OPS - GROUND INTERDICTION - I-REMBASS")
  GROUND_OPS_GROUND_INTERDICTION_I_REMBASS("GROUND OPS - GROUND INTERDICTION - I-REMBASS"),
  @XmlEnumValue("GROUND OPS - GROUND INTERDICTION - TRAILBLAZER")
  GROUND_OPS_GROUND_INTERDICTION_TRAILBLAZER("GROUND OPS - GROUND INTERDICTION - TRAILBLAZER"),
  @XmlEnumValue("GROUND OPS - INFANTRY")
  GROUND_OPS_INFANTRY("GROUND OPS - INFANTRY"),
  @XmlEnumValue("GROUND OPS - INTELLIGENCE")
  GROUND_OPS_INTELLIGENCE("GROUND OPS - INTELLIGENCE"),
  @XmlEnumValue("GROUND OPS - INTELLIGENCE - ASAS")
  GROUND_OPS_INTELLIGENCE_ASAS("GROUND OPS - INTELLIGENCE - ASAS"),
  @XmlEnumValue("GROUND OPS - TACCS")
  GROUND_OPS_TACCS("GROUND OPS - TACCS"),
  @XmlEnumValue("GROUND OPS - TRAINING")
  GROUND_OPS_TRAINING("GROUND OPS - TRAINING"),
  @XmlEnumValue("SEA OPS")
  SEA_OPS("SEA OPS"),
  @XmlEnumValue("SEA OPS - ASW")
  SEA_OPS_ASW("SEA OPS - ASW"),
  @XmlEnumValue("SEA OPS - ASW - SONOBOUY")
  SEA_OPS_ASW_SONOBOUY("SEA OPS - ASW - SONOBOUY"),
  @XmlEnumValue("SEA OPS - ELECTRONIC WARFARE")
  SEA_OPS_ELECTRONIC_WARFARE("SEA OPS - ELECTRONIC WARFARE"),
  @XmlEnumValue("SEA OPS - FLEET SUPPORT")
  SEA_OPS_FLEET_SUPPORT("SEA OPS - FLEET SUPPORT"),
  @XmlEnumValue("SEA OPS - FORACS")
  SEA_OPS_FORACS("SEA OPS - FORACS"),
  @XmlEnumValue("SEA OPS - INTELLIGENCE")
  SEA_OPS_INTELLIGENCE("SEA OPS - INTELLIGENCE"),
  @XmlEnumValue("SEA OPS - INTELLIGENCE - TARGET")
  SEA_OPS_INTELLIGENCE_TARGET("SEA OPS - INTELLIGENCE - TARGET"),
  @XmlEnumValue("SEA OPS - NAVAIDS")
  SEA_OPS_NAVAIDS("SEA OPS - NAVAIDS"),
  @XmlEnumValue("SEA OPS - NAVAIDS - NAVIGATION RADAR")
  SEA_OPS_NAVAIDS_NAVIGATION_RADAR("SEA OPS - NAVAIDS - NAVIGATION RADAR"),
  @XmlEnumValue("SEA OPS - RESUPPLY")
  SEA_OPS_RESUPPLY("SEA OPS - RESUPPLY"),
  @XmlEnumValue("SEA OPS - SHIP/AIR OPS")
  SEA_OPS_SHIP_AIR_OPS("SEA OPS - SHIP/AIR OPS"),
  @XmlEnumValue("SEA OPS - SHIP/SHIP")
  SEA_OPS_SHIP_SHIP("SEA OPS - SHIP/SHIP"),
  @XmlEnumValue("SEA OPS - SHIP/SHIP - AEGIS")
  SEA_OPS_SHIP_SHIP_AEGIS("SEA OPS - SHIP/SHIP - AEGIS"),
  @XmlEnumValue("SEA OPS - SHIP/SHORE OPS")
  SEA_OPS_SHIP_SHORE_OPS("SEA OPS - SHIP/SHORE OPS"),
  @XmlEnumValue("SEA OPS - SHIP/SHORE OPS - HARBOR-PORT OPS")
  SEA_OPS_SHIP_SHORE_OPS_HARBOR_PORT_OPS("SEA OPS - SHIP/SHORE OPS - HARBOR-PORT OPS"),
  @XmlEnumValue("SEA OPS - SHIP/SHORE OPS - NAVAL GUNFIRE SUPPORT")
  SEA_OPS_SHIP_SHORE_OPS_NAVAL_GUNFIRE_SUPPORT("SEA OPS - SHIP/SHORE OPS - NAVAL GUNFIRE SUPPORT"),
  @XmlEnumValue("SEA OPS - TRAINING")
  SEA_OPS_TRAINING("SEA OPS - TRAINING"),
  @XmlEnumValue("SPACE OPS")
  SPACE_OPS("SPACE OPS"),
  @XmlEnumValue("SPACE OPS - EXPERIMENTAL")
  SPACE_OPS_EXPERIMENTAL("SPACE OPS - EXPERIMENTAL"),
  @XmlEnumValue("SPACE OPS - SATCOM")
  SPACE_OPS_SATCOM("SPACE OPS - SATCOM"),
  @XmlEnumValue("SPACE OPS - SATCOM - AEHF")
  SPACE_OPS_SATCOM_AEHF("SPACE OPS - SATCOM - AEHF"),
  @XmlEnumValue("SPACE OPS - SATCOM - AFSATCOM")
  SPACE_OPS_SATCOM_AFSATCOM("SPACE OPS - SATCOM - AFSATCOM"),
  @XmlEnumValue("SPACE OPS - SATCOM - DSCS")
  SPACE_OPS_SATCOM_DSCS("SPACE OPS - SATCOM - DSCS"),
  @XmlEnumValue("SPACE OPS - SATCOM - FLTSATCOM")
  SPACE_OPS_SATCOM_FLTSATCOM("SPACE OPS - SATCOM - FLTSATCOM"),
  @XmlEnumValue("SPACE OPS - SATCOM - GBS")
  SPACE_OPS_SATCOM_GBS("SPACE OPS - SATCOM - GBS"),
  @XmlEnumValue("SPACE OPS - SATCOM - LEASAT")
  SPACE_OPS_SATCOM_LEASAT("SPACE OPS - SATCOM - LEASAT"),
  @XmlEnumValue("SPACE OPS - SATCOM - Milstar")
  SPACE_OPS_SATCOM_MILSTAR("SPACE OPS - SATCOM - Milstar"),
  @XmlEnumValue("SPACE OPS - SATCOM - SPITFIRE")
  SPACE_OPS_SATCOM_SPITFIRE("SPACE OPS - SATCOM - SPITFIRE"),
  @XmlEnumValue("SPACE OPS - SATCOM - Trojan SPIRIT")
  SPACE_OPS_SATCOM_TROJAN_SPIRIT("SPACE OPS - SATCOM - Trojan SPIRIT"),
  @XmlEnumValue("SPACE OPS - SATCOM - WGS")
  SPACE_OPS_SATCOM_WGS("SPACE OPS - SATCOM - WGS"),
  @XmlEnumValue("SPACE OPS - SATCOM - UFO")
  SPACE_OPS_SATCOM_UFO("SPACE OPS - SATCOM - UFO"),
  @XmlEnumValue("SPACE OPS - GPS")
  SPACE_OPS_GPS("SPACE OPS - GPS"),
  @XmlEnumValue("SPACE OPS - METEOROLOGICAL")
  SPACE_OPS_METEOROLOGICAL("SPACE OPS - METEOROLOGICAL"),
  @XmlEnumValue("SPACE OPS - METEOROLOGICAL - DMSP")
  SPACE_OPS_METEOROLOGICAL_DMSP("SPACE OPS - METEOROLOGICAL - DMSP"),
  @XmlEnumValue("SPACE OPS - METEOROLOGICAL - SAWDS")
  SPACE_OPS_METEOROLOGICAL_SAWDS("SPACE OPS - METEOROLOGICAL - SAWDS"),
  @XmlEnumValue("SPACE OPS - NASA")
  SPACE_OPS_NASA("SPACE OPS - NASA"),
  @XmlEnumValue("SPACE OPS - NASA - SHUTTLE")
  SPACE_OPS_NASA_SHUTTLE("SPACE OPS - NASA - SHUTTLE"),
  @XmlEnumValue("RANGE OPS")
  RANGE_OPS("RANGE OPS"),
  @XmlEnumValue("RANGE OPS - EXPERIMENTAL")
  RANGE_OPS_EXPERIMENTAL("RANGE OPS - EXPERIMENTAL"),
  @XmlEnumValue("RANGE OPS - FLIGHT TEST")
  RANGE_OPS_FLIGHT_TEST("RANGE OPS - FLIGHT TEST"),
  @XmlEnumValue("RANGE OPS - RANGE CONTROL")
  RANGE_OPS_RANGE_CONTROL("RANGE OPS - RANGE CONTROL"),
  @XmlEnumValue("RANGE OPS - RANGE CONTROL - OCCS SUPPORT")
  RANGE_OPS_RANGE_CONTROL_OCCS_SUPPORT("RANGE OPS - RANGE CONTROL - OCCS SUPPORT"),
  @XmlEnumValue("RANGE OPS - RANGE CONTROL - RDMS")
  RANGE_OPS_RANGE_CONTROL_RDMS("RANGE OPS - RANGE CONTROL - RDMS"),
  @XmlEnumValue("RANGE OPS - RANGE CONTROL - TELEMETRY")
  RANGE_OPS_RANGE_CONTROL_TELEMETRY("RANGE OPS - RANGE CONTROL - TELEMETRY"),
  @XmlEnumValue("RANGE OPS - RANGE CONTROL - TRUNKING")
  RANGE_OPS_RANGE_CONTROL_TRUNKING("RANGE OPS - RANGE CONTROL - TRUNKING"),
  @XmlEnumValue("RANGE OPS - SAFETY")
  RANGE_OPS_SAFETY("RANGE OPS - SAFETY"),
  @XmlEnumValue("RANGE OPS - SIMULATOR")
  RANGE_OPS_SIMULATOR("RANGE OPS - SIMULATOR"),
  @XmlEnumValue("RANGE OPS - TEST RANGE")
  RANGE_OPS_TEST_RANGE("RANGE OPS - TEST RANGE"),
  @XmlEnumValue("RANGE OPS - TEST RANGE - TARGET")
  RANGE_OPS_TEST_RANGE_TARGET("RANGE OPS - TEST RANGE - TARGET"),
  @XmlEnumValue("RANGE OPS - TEST RANGE - TARGET SCORING")
  RANGE_OPS_TEST_RANGE_TARGET_SCORING("RANGE OPS - TEST RANGE - TARGET SCORING"),
  @XmlEnumValue("RANGE OPS - TEST RANGE - TEST RANGE TIMING")
  RANGE_OPS_TEST_RANGE_TEST_RANGE_TIMING("RANGE OPS - TEST RANGE - TEST RANGE TIMING"),
  @XmlEnumValue("RANGE OPS - TEST RANGE - TCRS")
  RANGE_OPS_TEST_RANGE_TCRS("RANGE OPS - TEST RANGE - TCRS"),
  @XmlEnumValue("RANGE OPS - TEST RANGE - TOSS")
  RANGE_OPS_TEST_RANGE_TOSS("RANGE OPS - TEST RANGE - TOSS"),
  @XmlEnumValue("RANGE OPS - TRAINING")
  RANGE_OPS_TRAINING("RANGE OPS - TRAINING"),
  @XmlEnumValue("RANGE OPS - TRAINING - MITT/DTES")
  RANGE_OPS_TRAINING_MITT_DTES("RANGE OPS - TRAINING - MITT/DTES"),
  @XmlEnumValue("SURVEILLANCE/RECONNAISSANCE")
  SURVEILLANCE_RECONNAISSANCE("SURVEILLANCE/RECONNAISSANCE"),
  @XmlEnumValue("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING")
  SURVEILLANCE_RECONNAISSANCE_AIR_DEFENSE_WARNING("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING"),
  @XmlEnumValue("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING - AWACS")
  SURVEILLANCE_RECONNAISSANCE_AIR_DEFENSE_WARNING_AWACS("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING - AWACS"),
  @XmlEnumValue("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING - BMEWS")
  SURVEILLANCE_RECONNAISSANCE_AIR_DEFENSE_WARNING_BMEWS("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING - BMEWS"),
  @XmlEnumValue("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING - CARS")
  SURVEILLANCE_RECONNAISSANCE_AIR_DEFENSE_WARNING_CARS("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING - CARS"),
  @XmlEnumValue("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING - GRCS")
  SURVEILLANCE_RECONNAISSANCE_AIR_DEFENSE_WARNING_GRCS("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING - GRCS"),
  @XmlEnumValue("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING - JSS")
  SURVEILLANCE_RECONNAISSANCE_AIR_DEFENSE_WARNING_JSS("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING - JSS"),
  @XmlEnumValue("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING - OTHR/ROTHR")
  SURVEILLANCE_RECONNAISSANCE_AIR_DEFENSE_WARNING_OTHR_ROTHR("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING - OTHR/ROTHR"),
  @XmlEnumValue("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING - PAVE PAWS")
  SURVEILLANCE_RECONNAISSANCE_AIR_DEFENSE_WARNING_PAVE_PAWS("SURVEILLANCE/RECONNAISSANCE - AIR DEFENSE WARNING - PAVE PAWS"),
  @XmlEnumValue("SURVEILLANCE/RECONNAISSANCE - TRAINING")
  SURVEILLANCE_RECONNAISSANCE_TRAINING("SURVEILLANCE/RECONNAISSANCE - TRAINING"),
  @XmlEnumValue("SPECIAL OPS")
  SPECIAL_OPS("SPECIAL OPS"),
  @XmlEnumValue("SPECIAL OPS - AIR FORCE SPECIAL OPS")
  SPECIAL_OPS_AIR_FORCE_SPECIAL_OPS("SPECIAL OPS - AIR FORCE SPECIAL OPS"),
  @XmlEnumValue("SPECIAL OPS - ARMY SPECIAL OPS")
  SPECIAL_OPS_ARMY_SPECIAL_OPS("SPECIAL OPS - ARMY SPECIAL OPS"),
  @XmlEnumValue("SPECIAL OPS - ARMY SPECIAL OPS - CIVIL AFFAIRS")
  SPECIAL_OPS_ARMY_SPECIAL_OPS_CIVIL_AFFAIRS("SPECIAL OPS - ARMY SPECIAL OPS - CIVIL AFFAIRS"),
  @XmlEnumValue("SPECIAL OPS - ARMY SPECIAL OPS - PSYCHOLOGICAL OPS")
  SPECIAL_OPS_ARMY_SPECIAL_OPS_PSYCHOLOGICAL_OPS("SPECIAL OPS - ARMY SPECIAL OPS - PSYCHOLOGICAL OPS"),
  @XmlEnumValue("SPECIAL OPS - ARMY SPECIAL OPS - RANGER UNITS")
  SPECIAL_OPS_ARMY_SPECIAL_OPS_RANGER_UNITS("SPECIAL OPS - ARMY SPECIAL OPS - RANGER UNITS"),
  @XmlEnumValue("SPECIAL OPS - ARMY SPECIAL OPS - SPECIAL FORCES")
  SPECIAL_OPS_ARMY_SPECIAL_OPS_SPECIAL_FORCES("SPECIAL OPS - ARMY SPECIAL OPS - SPECIAL FORCES"),
  @XmlEnumValue("SPECIAL OPS - NAVY SPECIAL OPS")
  SPECIAL_OPS_NAVY_SPECIAL_OPS("SPECIAL OPS - NAVY SPECIAL OPS"),
  @XmlEnumValue("C3")
  C_3("C3"),
  @XmlEnumValue("C3 - COMMAND NET")
  C_3_COMMAND_NET("C3 - COMMAND NET"),
  @XmlEnumValue("C3 - COMMAND NET - GLOBAL")
  C_3_COMMAND_NET_GLOBAL("C3 - COMMAND NET - GLOBAL"),
  @XmlEnumValue("C3 - COMMAND NET - GLOBAL ALE")
  C_3_COMMAND_NET_GLOBAL_ALE("C3 - COMMAND NET - GLOBAL ALE"),
  @XmlEnumValue("C3 - COMMAND NET - GLOBAL BLACK")
  C_3_COMMAND_NET_GLOBAL_BLACK("C3 - COMMAND NET - GLOBAL BLACK"),
  @XmlEnumValue("C3 - COMMAND NET - GLOBAL DISCRETE")
  C_3_COMMAND_NET_GLOBAL_DISCRETE("C3 - COMMAND NET - GLOBAL DISCRETE"),
  @XmlEnumValue("C3 - COMMAND NET - GLOBAL RED")
  C_3_COMMAND_NET_GLOBAL_RED("C3 - COMMAND NET - GLOBAL RED"),
  @XmlEnumValue("C3 - COMMAND NET - HICOM (High Command)")
  C_3_COMMAND_NET_HICOM_HIGH_COMMAND("C3 - COMMAND NET - HICOM (High Command)"),
  @XmlEnumValue("C3 - DATA LINK")
  C_3_DATA_LINK("C3 - DATA LINK"),
  @XmlEnumValue("C3 - DATA LINK - ARTS (Telemetry)")
  C_3_DATA_LINK_ARTS_TELEMETRY("C3 - DATA LINK - ARTS (Telemetry)"),
  @XmlEnumValue("C3 - DATA LINK - JTIDS/MIDS")
  C_3_DATA_LINK_JTIDS_MIDS("C3 - DATA LINK - JTIDS/MIDS"),
  @XmlEnumValue("C3 - DATA LINK - SGLS")
  C_3_DATA_LINK_SGLS("C3 - DATA LINK - SGLS"),
  @XmlEnumValue("C3 - DATA LINK - TADIL-A")
  C_3_DATA_LINK_TADIL_A("C3 - DATA LINK - TADIL-A"),
  @XmlEnumValue("C3 - DATA LINK - TADIL-C")
  C_3_DATA_LINK_TADIL_C("C3 - DATA LINK - TADIL-C"),
  @XmlEnumValue("C3 - COMMS")
  C_3_COMMS("C3 - COMMS"),
  @XmlEnumValue("C3 - COMMS - IONOSPHERIC SOUNDER")
  C_3_COMMS_IONOSPHERIC_SOUNDER("C3 - COMMS - IONOSPHERIC SOUNDER"),
  @XmlEnumValue("C3 - COMMS - ISYSCON")
  C_3_COMMS_ISYSCON("C3 - COMMS - ISYSCON"),
  @XmlEnumValue("C3 - COMMS - MARS")
  C_3_COMMS_MARS("C3 - COMMS - MARS"),
  @XmlEnumValue("C3 - COMMS - MICROWAVE")
  C_3_COMMS_MICROWAVE("C3 - COMMS - MICROWAVE"),
  @XmlEnumValue("C3 - COMMS - MSE")
  C_3_COMMS_MSE("C3 - COMMS - MSE"),
  @XmlEnumValue("C3 - COMMS - RADIO RELAY")
  C_3_COMMS_RADIO_RELAY("C3 - COMMS - RADIO RELAY"),
  @XmlEnumValue("C3 - COMMS - TACTS")
  C_3_COMMS_TACTS("C3 - COMMS - TACTS"),
  @XmlEnumValue("C3 - GCCS")
  C_3_GCCS("C3 - GCCS"),
  @XmlEnumValue("C3 - SATELLITE COMMS")
  C_3_SATELLITE_COMMS("C3 - SATELLITE COMMS"),
  @XmlEnumValue("C3 - SATELLITE COMMS - AEHF")
  C_3_SATELLITE_COMMS_AEHF("C3 - SATELLITE COMMS - AEHF"),
  @XmlEnumValue("C3 - SATELLITE COMMS - AFSATCOM")
  C_3_SATELLITE_COMMS_AFSATCOM("C3 - SATELLITE COMMS - AFSATCOM"),
  @XmlEnumValue("C3 - SATELLITE COMMS - DSCS")
  C_3_SATELLITE_COMMS_DSCS("C3 - SATELLITE COMMS - DSCS"),
  @XmlEnumValue("C3 - SATELLITE COMMS - FLTSATCOM")
  C_3_SATELLITE_COMMS_FLTSATCOM("C3 - SATELLITE COMMS - FLTSATCOM"),
  @XmlEnumValue("C3 - SATELLITE COMMS - GBS")
  C_3_SATELLITE_COMMS_GBS("C3 - SATELLITE COMMS - GBS"),
  @XmlEnumValue("C3 - SATELLITE COMMS - LEASAT")
  C_3_SATELLITE_COMMS_LEASAT("C3 - SATELLITE COMMS - LEASAT"),
  @XmlEnumValue("C3 - SATELLITE COMMS - MILSTAR")
  C_3_SATELLITE_COMMS_MILSTAR("C3 - SATELLITE COMMS - MILSTAR"),
  @XmlEnumValue("C3 - SATELLITE COMMS - SPITFIRE")
  C_3_SATELLITE_COMMS_SPITFIRE("C3 - SATELLITE COMMS - SPITFIRE"),
  @XmlEnumValue("C3 - SATELLITE COMMS - TROJAN SPIRIT")
  C_3_SATELLITE_COMMS_TROJAN_SPIRIT("C3 - SATELLITE COMMS - TROJAN SPIRIT"),
  @XmlEnumValue("C3 - SATELLITE COMMS - WGS")
  C_3_SATELLITE_COMMS_WGS("C3 - SATELLITE COMMS - WGS"),
  @XmlEnumValue("C3 - SATELLITE COMMS - UFO")
  C_3_SATELLITE_COMMS_UFO("C3 - SATELLITE COMMS - UFO"),
  @XmlEnumValue("C3 - TELEMETERY")
  C_3_TELEMETERY("C3 - TELEMETERY"),
  @XmlEnumValue("C3 - TELEMETERY - ARTS")
  C_3_TELEMETERY_ARTS("C3 - TELEMETERY - ARTS"),
  @XmlEnumValue("C3 - TELEMETERY - SGLS")
  C_3_TELEMETERY_SGLS("C3 - TELEMETERY - SGLS"),
  @XmlEnumValue("SUSTAINING OPS")
  SUSTAINING_OPS("SUSTAINING OPS"),
  @XmlEnumValue("SUSTAINING OPS - ADMINISTRATIVE")
  SUSTAINING_OPS_ADMINISTRATIVE("SUSTAINING OPS - ADMINISTRATIVE"),
  @XmlEnumValue("SUSTAINING OPS - ADMINISTRATIVE - INSTALLATION PA SYSTEM (Giant Voice)")
  SUSTAINING_OPS_ADMINISTRATIVE_INSTALLATION_PA_SYSTEM_GIANT_VOICE("SUSTAINING OPS - ADMINISTRATIVE - INSTALLATION PA SYSTEM (Giant Voice)"),
  @XmlEnumValue("SUSTAINING OPS - ADMINISTRATIVE - PAGING")
  SUSTAINING_OPS_ADMINISTRATIVE_PAGING("SUSTAINING OPS - ADMINISTRATIVE - PAGING"),
  @XmlEnumValue("SUSTAINING OPS - ADMINISTRATIVE - TRAVELERS INFORMATION SYSTEM")
  SUSTAINING_OPS_ADMINISTRATIVE_TRAVELERS_INFORMATION_SYSTEM("SUSTAINING OPS - ADMINISTRATIVE - TRAVELERS INFORMATION SYSTEM"),
  @XmlEnumValue("SUSTAINING OPS - ADMINISTRATIVE - UNLICENSED DEVICE")
  SUSTAINING_OPS_ADMINISTRATIVE_UNLICENSED_DEVICE("SUSTAINING OPS - ADMINISTRATIVE - UNLICENSED DEVICE"),
  @XmlEnumValue("SUSTAINING OPS - ADMINISTRATIVE - WIRELESS LOCAL AREA NETWORK")
  SUSTAINING_OPS_ADMINISTRATIVE_WIRELESS_LOCAL_AREA_NETWORK("SUSTAINING OPS - ADMINISTRATIVE - WIRELESS LOCAL AREA NETWORK"),
  @XmlEnumValue("SUSTAINING OPS - ADMINISTRATIVE - WIRELESS MIKE")
  SUSTAINING_OPS_ADMINISTRATIVE_WIRELESS_MIKE("SUSTAINING OPS - ADMINISTRATIVE - WIRELESS MIKE"),
  @XmlEnumValue("SUSTAINING OPS - CIVIL ENGINEERING")
  SUSTAINING_OPS_CIVIL_ENGINEERING("SUSTAINING OPS - CIVIL ENGINEERING"),
  @XmlEnumValue("SUSTAINING OPS - CIVIL ENGINEERING - CIVIL WORKS")
  SUSTAINING_OPS_CIVIL_ENGINEERING_CIVIL_WORKS("SUSTAINING OPS - CIVIL ENGINEERING - CIVIL WORKS"),
  @XmlEnumValue("SUSTAINING OPS - CIVIL ENGINEERING - CONSTRUCTION")
  SUSTAINING_OPS_CIVIL_ENGINEERING_CONSTRUCTION("SUSTAINING OPS - CIVIL ENGINEERING - CONSTRUCTION"),
  @XmlEnumValue("SUSTAINING OPS - CIVIL ENGINEERING - INDUSTRIAL CONTROLS")
  SUSTAINING_OPS_CIVIL_ENGINEERING_INDUSTRIAL_CONTROLS("SUSTAINING OPS - CIVIL ENGINEERING - INDUSTRIAL CONTROLS"),
  @XmlEnumValue("SUSTAINING OPS - CIVIL ENGINEERING - PRIME BEEF")
  SUSTAINING_OPS_CIVIL_ENGINEERING_PRIME_BEEF("SUSTAINING OPS - CIVIL ENGINEERING - PRIME BEEF"),
  @XmlEnumValue("SUSTAINING OPS - CIVIL ENGINEERING - PUBLIC WORKS")
  SUSTAINING_OPS_CIVIL_ENGINEERING_PUBLIC_WORKS("SUSTAINING OPS - CIVIL ENGINEERING - PUBLIC WORKS"),
  @XmlEnumValue("SUSTAINING OPS - CIVIL ENGINEERING - RED HORSE")
  SUSTAINING_OPS_CIVIL_ENGINEERING_RED_HORSE("SUSTAINING OPS - CIVIL ENGINEERING - RED HORSE"),
  @XmlEnumValue("SUSTAINING OPS - CIVIL ENGINEERING - SAFETY")
  SUSTAINING_OPS_CIVIL_ENGINEERING_SAFETY("SUSTAINING OPS - CIVIL ENGINEERING - SAFETY"),
  @XmlEnumValue("SUSTAINING OPS - CIVIL ENGINEERING - SEABEES")
  SUSTAINING_OPS_CIVIL_ENGINEERING_SEABEES("SUSTAINING OPS - CIVIL ENGINEERING - SEABEES"),
  @XmlEnumValue("SUSTAINING OPS - CIVIL ENGINEERING - UTILITIES")
  SUSTAINING_OPS_CIVIL_ENGINEERING_UTILITIES("SUSTAINING OPS - CIVIL ENGINEERING - UTILITIES"),
  @XmlEnumValue("SUSTAINING OPS - COMMAND AND CONTROL")
  SUSTAINING_OPS_COMMAND_AND_CONTROL("SUSTAINING OPS - COMMAND AND CONTROL"),
  @XmlEnumValue("SUSTAINING OPS - COMMAND AND CONTROL - BASE OPS")
  SUSTAINING_OPS_COMMAND_AND_CONTROL_BASE_OPS("SUSTAINING OPS - COMMAND AND CONTROL - BASE OPS"),
  @XmlEnumValue("SUSTAINING OPS - COMMAND AND CONTROL - COMMAND NET")
  SUSTAINING_OPS_COMMAND_AND_CONTROL_COMMAND_NET("SUSTAINING OPS - COMMAND AND CONTROL - COMMAND NET"),
  @XmlEnumValue("SUSTAINING OPS - COMMAND AND CONTROL - MOMS")
  SUSTAINING_OPS_COMMAND_AND_CONTROL_MOMS("SUSTAINING OPS - COMMAND AND CONTROL - MOMS"),
  @XmlEnumValue("SUSTAINING OPS - COMMAND AND CONTROL - TRUNKING")
  SUSTAINING_OPS_COMMAND_AND_CONTROL_TRUNKING("SUSTAINING OPS - COMMAND AND CONTROL - TRUNKING"),
  @XmlEnumValue("SUSTAINING OPS - EMERGENCY SERVICES")
  SUSTAINING_OPS_EMERGENCY_SERVICES("SUSTAINING OPS - EMERGENCY SERVICES"),
  @XmlEnumValue("SUSTAINING OPS - EMERGENCY SERVICES - ALARM SYSTEMS")
  SUSTAINING_OPS_EMERGENCY_SERVICES_ALARM_SYSTEMS("SUSTAINING OPS - EMERGENCY SERVICES - ALARM SYSTEMS"),
  @XmlEnumValue("SUSTAINING OPS - EMERGENCY SERVICES - DISASTER PLANNING")
  SUSTAINING_OPS_EMERGENCY_SERVICES_DISASTER_PLANNING("SUSTAINING OPS - EMERGENCY SERVICES - DISASTER PLANNING"),
  @XmlEnumValue("SUSTAINING OPS - EMERGENCY SERVICES - EOD")
  SUSTAINING_OPS_EMERGENCY_SERVICES_EOD("SUSTAINING OPS - EMERGENCY SERVICES - EOD"),
  @XmlEnumValue("SUSTAINING OPS - EMERGENCY SERVICES - FIRE")
  SUSTAINING_OPS_EMERGENCY_SERVICES_FIRE("SUSTAINING OPS - EMERGENCY SERVICES - FIRE"),
  @XmlEnumValue("SUSTAINING OPS - EMERGENCY SERVICES - HAZMAT")
  SUSTAINING_OPS_EMERGENCY_SERVICES_HAZMAT("SUSTAINING OPS - EMERGENCY SERVICES - HAZMAT"),
  @XmlEnumValue("SUSTAINING OPS - EMERGENCY SERVICES - MEDICAL")
  SUSTAINING_OPS_EMERGENCY_SERVICES_MEDICAL("SUSTAINING OPS - EMERGENCY SERVICES - MEDICAL"),
  @XmlEnumValue("SUSTAINING OPS - EMERGENCY SERVICES - WARNING SYSTEM")
  SUSTAINING_OPS_EMERGENCY_SERVICES_WARNING_SYSTEM("SUSTAINING OPS - EMERGENCY SERVICES - WARNING SYSTEM"),
  @XmlEnumValue("SUSTAINING OPS - ENVIRONMENTAL")
  SUSTAINING_OPS_ENVIRONMENTAL("SUSTAINING OPS - ENVIRONMENTAL"),
  @XmlEnumValue("SUSTAINING OPS - ENVIRONMENTAL - RESOURCES CONSERVATION")
  SUSTAINING_OPS_ENVIRONMENTAL_RESOURCES_CONSERVATION("SUSTAINING OPS - ENVIRONMENTAL - RESOURCES CONSERVATION"),
  @XmlEnumValue("SUSTAINING OPS - LAW ENFORCEMENT")
  SUSTAINING_OPS_LAW_ENFORCEMENT("SUSTAINING OPS - LAW ENFORCEMENT"),
  @XmlEnumValue("SUSTAINING OPS - LAW ENFORCEMENT - CID")
  SUSTAINING_OPS_LAW_ENFORCEMENT_CID("SUSTAINING OPS - LAW ENFORCEMENT - CID"),
  @XmlEnumValue("SUSTAINING OPS - LAW ENFORCEMENT - DIS")
  SUSTAINING_OPS_LAW_ENFORCEMENT_DIS("SUSTAINING OPS - LAW ENFORCEMENT - DIS"),
  @XmlEnumValue("SUSTAINING OPS - LAW ENFORCEMENT - MILITARY POLICE")
  SUSTAINING_OPS_LAW_ENFORCEMENT_MILITARY_POLICE("SUSTAINING OPS - LAW ENFORCEMENT - MILITARY POLICE"),
  @XmlEnumValue("SUSTAINING OPS - LAW ENFORCEMENT - NCIS")
  SUSTAINING_OPS_LAW_ENFORCEMENT_NCIS("SUSTAINING OPS - LAW ENFORCEMENT - NCIS"),
  @XmlEnumValue("SUSTAINING OPS - LAW ENFORCEMENT - OSI")
  SUSTAINING_OPS_LAW_ENFORCEMENT_OSI("SUSTAINING OPS - LAW ENFORCEMENT - OSI"),
  @XmlEnumValue("SUSTAINING OPS - LAW ENFORCEMENT - SCOPE SHIELD")
  SUSTAINING_OPS_LAW_ENFORCEMENT_SCOPE_SHIELD("SUSTAINING OPS - LAW ENFORCEMENT - SCOPE SHIELD"),
  @XmlEnumValue("SUSTAINING OPS - LAW ENFORCEMENT - SECURITY FORCE")
  SUSTAINING_OPS_LAW_ENFORCEMENT_SECURITY_FORCE("SUSTAINING OPS - LAW ENFORCEMENT - SECURITY FORCE"),
  @XmlEnumValue("SUSTAINING OPS - LAW ENFORCEMENT - SHORE PATROL")
  SUSTAINING_OPS_LAW_ENFORCEMENT_SHORE_PATROL("SUSTAINING OPS - LAW ENFORCEMENT - SHORE PATROL"),
  @XmlEnumValue("SUSTAINING OPS - LAW ENFORCEMENT - SPEED MEASUREMENT SYSTEMS")
  SUSTAINING_OPS_LAW_ENFORCEMENT_SPEED_MEASUREMENT_SYSTEMS("SUSTAINING OPS - LAW ENFORCEMENT - SPEED MEASUREMENT SYSTEMS"),
  @XmlEnumValue("SUSTAINING OPS - LAW ENFORCEMENT - SURVEILLANCE SYSTEMS")
  SUSTAINING_OPS_LAW_ENFORCEMENT_SURVEILLANCE_SYSTEMS("SUSTAINING OPS - LAW ENFORCEMENT - SURVEILLANCE SYSTEMS"),
  @XmlEnumValue("SUSTAINING OPS - LAW ENFORCEMENT - TETHERED AEROSTAT RADAR")
  SUSTAINING_OPS_LAW_ENFORCEMENT_TETHERED_AEROSTAT_RADAR("SUSTAINING OPS - LAW ENFORCEMENT - TETHERED AEROSTAT RADAR"),
  @XmlEnumValue("SUSTAINING OPS - LAW ENFORCEMENT - WEAPONS STORAGE PROTECTION")
  SUSTAINING_OPS_LAW_ENFORCEMENT_WEAPONS_STORAGE_PROTECTION("SUSTAINING OPS - LAW ENFORCEMENT - WEAPONS STORAGE PROTECTION"),
  @XmlEnumValue("SUSTAINING OPS - MAINTENANCE")
  SUSTAINING_OPS_MAINTENANCE("SUSTAINING OPS - MAINTENANCE"),
  @XmlEnumValue("SUSTAINING OPS - MAINTENANCE - AIRCRAFT")
  SUSTAINING_OPS_MAINTENANCE_AIRCRAFT("SUSTAINING OPS - MAINTENANCE - AIRCRAFT"),
  @XmlEnumValue("SUSTAINING OPS - MAINTENANCE - COMMS")
  SUSTAINING_OPS_MAINTENANCE_COMMS("SUSTAINING OPS - MAINTENANCE - COMMS"),
  @XmlEnumValue("SUSTAINING OPS - MAINTENANCE - EQUIPMENT CHECKS")
  SUSTAINING_OPS_MAINTENANCE_EQUIPMENT_CHECKS("SUSTAINING OPS - MAINTENANCE - EQUIPMENT CHECKS"),
  @XmlEnumValue("SUSTAINING OPS - MAINTENANCE - MISSILE")
  SUSTAINING_OPS_MAINTENANCE_MISSILE("SUSTAINING OPS - MAINTENANCE - MISSILE"),
  @XmlEnumValue("SUSTAINING OPS - MAINTENANCE - MUNITIONS")
  SUSTAINING_OPS_MAINTENANCE_MUNITIONS("SUSTAINING OPS - MAINTENANCE - MUNITIONS"),
  @XmlEnumValue("SUSTAINING OPS - MAINTENANCE - RAMP CONTROL")
  SUSTAINING_OPS_MAINTENANCE_RAMP_CONTROL("SUSTAINING OPS - MAINTENANCE - RAMP CONTROL"),
  @XmlEnumValue("SUSTAINING OPS - MAINTENANCE - REMOTE CONTROL CRANE")
  SUSTAINING_OPS_MAINTENANCE_REMOTE_CONTROL_CRANE("SUSTAINING OPS - MAINTENANCE - REMOTE CONTROL CRANE"),
  @XmlEnumValue("SUSTAINING OPS - MAINTENANCE - RUNWAY ICE DETECTION SYSTEMS")
  SUSTAINING_OPS_MAINTENANCE_RUNWAY_ICE_DETECTION_SYSTEMS("SUSTAINING OPS - MAINTENANCE - RUNWAY ICE DETECTION SYSTEMS"),
  @XmlEnumValue("SUSTAINING OPS - MAINTENANCE - SNOW REMOVAL")
  SUSTAINING_OPS_MAINTENANCE_SNOW_REMOVAL("SUSTAINING OPS - MAINTENANCE - SNOW REMOVAL"),
  @XmlEnumValue("SUSTAINING OPS - METEOROLOGICAL")
  SUSTAINING_OPS_METEOROLOGICAL("SUSTAINING OPS - METEOROLOGICAL"),
  @XmlEnumValue("SUSTAINING OPS - METEOROLOGICAL - AMSS")
  SUSTAINING_OPS_METEOROLOGICAL_AMSS("SUSTAINING OPS - METEOROLOGICAL - AMSS"),
  @XmlEnumValue("SUSTAINING OPS - METEOROLOGICAL - ASOS")
  SUSTAINING_OPS_METEOROLOGICAL_ASOS("SUSTAINING OPS - METEOROLOGICAL - ASOS"),
  @XmlEnumValue("SUSTAINING OPS - METEOROLOGICAL - AWOS")
  SUSTAINING_OPS_METEOROLOGICAL_AWOS("SUSTAINING OPS - METEOROLOGICAL - AWOS"),
  @XmlEnumValue("SUSTAINING OPS - METEOROLOGICAL - GOES")
  SUSTAINING_OPS_METEOROLOGICAL_GOES("SUSTAINING OPS - METEOROLOGICAL - GOES"),
  @XmlEnumValue("SUSTAINING OPS - METEOROLOGICAL - IMETS")
  SUSTAINING_OPS_METEOROLOGICAL_IMETS("SUSTAINING OPS - METEOROLOGICAL - IMETS"),
  @XmlEnumValue("SUSTAINING OPS - METEOROLOGICAL - NEXRAD")
  SUSTAINING_OPS_METEOROLOGICAL_NEXRAD("SUSTAINING OPS - METEOROLOGICAL - NEXRAD"),
  @XmlEnumValue("SUSTAINING OPS - METEOROLOGICAL - WEATHER")
  SUSTAINING_OPS_METEOROLOGICAL_WEATHER("SUSTAINING OPS - METEOROLOGICAL - WEATHER"),
  @XmlEnumValue("SUSTAINING OPS - METEOROLOGICAL - WIND PROFILER")
  SUSTAINING_OPS_METEOROLOGICAL_WIND_PROFILER("SUSTAINING OPS - METEOROLOGICAL - WIND PROFILER"),
  @XmlEnumValue("SUSTAINING OPS - NATURAL RESOURCES")
  SUSTAINING_OPS_NATURAL_RESOURCES("SUSTAINING OPS - NATURAL RESOURCES"),
  @XmlEnumValue("SUSTAINING OPS - NATURAL RESOURCES - CONSERVATION")
  SUSTAINING_OPS_NATURAL_RESOURCES_CONSERVATION("SUSTAINING OPS - NATURAL RESOURCES - CONSERVATION"),
  @XmlEnumValue("SUSTAINING OPS - NATURAL RESOURCES - WILDLIFE PRESERVATION")
  SUSTAINING_OPS_NATURAL_RESOURCES_WILDLIFE_PRESERVATION("SUSTAINING OPS - NATURAL RESOURCES - WILDLIFE PRESERVATION"),
  @XmlEnumValue("SUSTAINING OPS - NAVAIDS CONTROLS")
  SUSTAINING_OPS_NAVAIDS_CONTROLS("SUSTAINING OPS - NAVAIDS CONTROLS"),
  @XmlEnumValue("SUSTAINING OPS - NAVAIDS CONTROLS - REMOTE BARRIER CONTROL SYSTEMS")
  SUSTAINING_OPS_NAVAIDS_CONTROLS_REMOTE_BARRIER_CONTROL_SYSTEMS("SUSTAINING OPS - NAVAIDS CONTROLS - REMOTE BARRIER CONTROL SYSTEMS"),
  @XmlEnumValue("SUSTAINING OPS - NAVAIDS CONTROLS - RUNWAY LIGHTING CONTROL")
  SUSTAINING_OPS_NAVAIDS_CONTROLS_RUNWAY_LIGHTING_CONTROL("SUSTAINING OPS - NAVAIDS CONTROLS - RUNWAY LIGHTING CONTROL"),
  @XmlEnumValue("SUSTAINING OPS - SUPPLY AND LOGISTICS")
  SUSTAINING_OPS_SUPPLY_AND_LOGISTICS("SUSTAINING OPS - SUPPLY AND LOGISTICS"),
  @XmlEnumValue("SUSTAINING OPS - SUPPLY AND LOGISTICS - AMPS")
  SUSTAINING_OPS_SUPPLY_AND_LOGISTICS_AMPS("SUSTAINING OPS - SUPPLY AND LOGISTICS - AMPS"),
  @XmlEnumValue("SUSTAINING OPS - SUPPLY AND LOGISTICS - CSSCS")
  SUSTAINING_OPS_SUPPLY_AND_LOGISTICS_CSSCS("SUSTAINING OPS - SUPPLY AND LOGISTICS - CSSCS"),
  @XmlEnumValue("SUSTAINING OPS - SUPPLY AND LOGISTICS - INVENTORY/INVENTORY CONTROLS")
  SUSTAINING_OPS_SUPPLY_AND_LOGISTICS_INVENTORY_INVENTORY_CONTROLS("SUSTAINING OPS - SUPPLY AND LOGISTICS - INVENTORY/INVENTORY CONTROLS"),
  @XmlEnumValue("SUSTAINING OPS - SUPPLY AND LOGISTICS - MTS")
  SUSTAINING_OPS_SUPPLY_AND_LOGISTICS_MTS("SUSTAINING OPS - SUPPLY AND LOGISTICS - MTS"),
  @XmlEnumValue("SUSTAINING OPS - SUPPLY AND LOGISTICS - NISTARS")
  SUSTAINING_OPS_SUPPLY_AND_LOGISTICS_NISTARS("SUSTAINING OPS - SUPPLY AND LOGISTICS - NISTARS"),
  @XmlEnumValue("SUSTAINING OPS - SUPPLY AND LOGISTICS - POL")
  SUSTAINING_OPS_SUPPLY_AND_LOGISTICS_POL("SUSTAINING OPS - SUPPLY AND LOGISTICS - POL"),
  @XmlEnumValue("SUSTAINING OPS - SUPPLY AND LOGISTICS - RESUPPLY")
  SUSTAINING_OPS_SUPPLY_AND_LOGISTICS_RESUPPLY("SUSTAINING OPS - SUPPLY AND LOGISTICS - RESUPPLY"),
  @XmlEnumValue("SUSTAINING OPS - SUPPLY AND LOGISTICS - RF TAGS")
  SUSTAINING_OPS_SUPPLY_AND_LOGISTICS_RF_TAGS("SUSTAINING OPS - SUPPLY AND LOGISTICS - RF TAGS"),
  @XmlEnumValue("SUSTAINING OPS - SUPPLY AND LOGISTICS - SHIPYARD")
  SUSTAINING_OPS_SUPPLY_AND_LOGISTICS_SHIPYARD("SUSTAINING OPS - SUPPLY AND LOGISTICS - SHIPYARD"),
  @XmlEnumValue("SUSTAINING OPS - TRAINING")
  SUSTAINING_OPS_TRAINING("SUSTAINING OPS - TRAINING"),
  @XmlEnumValue("SUSTAINING OPS - TRANSPORTATION")
  SUSTAINING_OPS_TRANSPORTATION("SUSTAINING OPS - TRANSPORTATION"),
  @XmlEnumValue("SUSTAINING OPS - TRANSPORTATION - MOTOR POOL")
  SUSTAINING_OPS_TRANSPORTATION_MOTOR_POOL("SUSTAINING OPS - TRANSPORTATION - MOTOR POOL"),
  @XmlEnumValue("SUSTAINING OPS - TRANSPORTATION - TAXI")
  SUSTAINING_OPS_TRANSPORTATION_TAXI("SUSTAINING OPS - TRANSPORTATION - TAXI"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS")
  DOMESTIC_SUPPORT_OPS("DOMESTIC SUPPORT OPS"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - COMMUNITY ASSISTANCE")
  DOMESTIC_SUPPORT_OPS_COMMUNITY_ASSISTANCE("DOMESTIC SUPPORT OPS - COMMUNITY ASSISTANCE"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - COMMUNITY ASSISTANCE - AERO CLUB")
  DOMESTIC_SUPPORT_OPS_COMMUNITY_ASSISTANCE_AERO_CLUB("DOMESTIC SUPPORT OPS - COMMUNITY ASSISTANCE - AERO CLUB"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - COMMUNITY ASSISTANCE - COLOR/HONOR GUARD")
  DOMESTIC_SUPPORT_OPS_COMMUNITY_ASSISTANCE_COLOR_HONOR_GUARD("DOMESTIC SUPPORT OPS - COMMUNITY ASSISTANCE - COLOR/HONOR GUARD"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - COMMUNITY ASSISTANCE - EDUCATION")
  DOMESTIC_SUPPORT_OPS_COMMUNITY_ASSISTANCE_EDUCATION("DOMESTIC SUPPORT OPS - COMMUNITY ASSISTANCE - EDUCATION"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - COMMUNITY ASSISTANCE - MUTUAL AID")
  DOMESTIC_SUPPORT_OPS_COMMUNITY_ASSISTANCE_MUTUAL_AID("DOMESTIC SUPPORT OPS - COMMUNITY ASSISTANCE - MUTUAL AID"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - COMMUNITY ASSISTANCE - PUBLIC WORKS")
  DOMESTIC_SUPPORT_OPS_COMMUNITY_ASSISTANCE_PUBLIC_WORKS("DOMESTIC SUPPORT OPS - COMMUNITY ASSISTANCE - PUBLIC WORKS"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - COMMUNITY ASSISTANCE - TRAINING")
  DOMESTIC_SUPPORT_OPS_COMMUNITY_ASSISTANCE_TRAINING("DOMESTIC SUPPORT OPS - COMMUNITY ASSISTANCE - TRAINING"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - CONTINGENCY")
  DOMESTIC_SUPPORT_OPS_CONTINGENCY("DOMESTIC SUPPORT OPS - CONTINGENCY"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT")
  DOMESTIC_SUPPORT_OPS_CONSEQUENCE_MANAGEMENT("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT - CBR")
  DOMESTIC_SUPPORT_OPS_CONSEQUENCE_MANAGEMENT_CBR("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT - CBR"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT - CIVIL SUPPORT TEAM")
  DOMESTIC_SUPPORT_OPS_CONSEQUENCE_MANAGEMENT_CIVIL_SUPPORT_TEAM("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT - CIVIL SUPPORT TEAM"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT - ENVIRONMENTAL CLEANUP")
  DOMESTIC_SUPPORT_OPS_CONSEQUENCE_MANAGEMENT_ENVIRONMENTAL_CLEANUP("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT - ENVIRONMENTAL CLEANUP"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT - FEMA")
  DOMESTIC_SUPPORT_OPS_CONSEQUENCE_MANAGEMENT_FEMA("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT - FEMA"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT - HAZARDOUS MATERIAL RELEASE")
  DOMESTIC_SUPPORT_OPS_CONSEQUENCE_MANAGEMENT_HAZARDOUS_MATERIAL_RELEASE("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT - HAZARDOUS MATERIAL RELEASE"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT - TECHNICAL ESCORT UNIT")
  DOMESTIC_SUPPORT_OPS_CONSEQUENCE_MANAGEMENT_TECHNICAL_ESCORT_UNIT("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT - TECHNICAL ESCORT UNIT"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT - TRAINING")
  DOMESTIC_SUPPORT_OPS_CONSEQUENCE_MANAGEMENT_TRAINING("DOMESTIC SUPPORT OPS - CONSEQUENCE MANAGEMENT - TRAINING"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - LAW ENFORCEMENT")
  DOMESTIC_SUPPORT_OPS_LAW_ENFORCEMENT("DOMESTIC SUPPORT OPS - LAW ENFORCEMENT"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - LAW ENFORCEMENT - ANTI-TERRORISM")
  DOMESTIC_SUPPORT_OPS_LAW_ENFORCEMENT_ANTI_TERRORISM("DOMESTIC SUPPORT OPS - LAW ENFORCEMENT - ANTI-TERRORISM"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - LAW ENFORCEMENT - CIVIL DISTURBANCES")
  DOMESTIC_SUPPORT_OPS_LAW_ENFORCEMENT_CIVIL_DISTURBANCES("DOMESTIC SUPPORT OPS - LAW ENFORCEMENT - CIVIL DISTURBANCES"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - LAW ENFORCEMENT - COUNTER DRUG")
  DOMESTIC_SUPPORT_OPS_LAW_ENFORCEMENT_COUNTER_DRUG("DOMESTIC SUPPORT OPS - LAW ENFORCEMENT - COUNTER DRUG"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - LAW ENFORCEMENT - PROJECT COTHEN")
  DOMESTIC_SUPPORT_OPS_LAW_ENFORCEMENT_PROJECT_COTHEN("DOMESTIC SUPPORT OPS - LAW ENFORCEMENT - PROJECT COTHEN"),
  @XmlEnumValue("DOMESTIC SUPPORT OPS - LAW ENFORCEMENT - SPECIAL SECURITY OPS")
  DOMESTIC_SUPPORT_OPS_LAW_ENFORCEMENT_SPECIAL_SECURITY_OPS("DOMESTIC SUPPORT OPS - LAW ENFORCEMENT - SPECIAL SECURITY OPS"),
  @XmlEnumValue("OTHER OPS - LAW ENFORCEMENT")
  OTHER_OPS_LAW_ENFORCEMENT("OTHER OPS - LAW ENFORCEMENT"),
  @XmlEnumValue("OTHER OPS - LAW ENFORCEMENT - DTSS")
  OTHER_OPS_LAW_ENFORCEMENT_DTSS("OTHER OPS - LAW ENFORCEMENT - DTSS"),
  @XmlEnumValue("OTHER OPS - LAW ENFORCEMENT - ETRAC")
  OTHER_OPS_LAW_ENFORCEMENT_ETRAC("OTHER OPS - LAW ENFORCEMENT - ETRAC"),
  @XmlEnumValue("OTHER OPS - LAW ENFORCEMENT - RDTE SUPPORT")
  OTHER_OPS_LAW_ENFORCEMENT_RDTE_SUPPORT("OTHER OPS - LAW ENFORCEMENT - RDTE SUPPORT"),
  @XmlEnumValue("OTHER OPS - EXERCISE")
  OTHER_OPS_EXERCISE("OTHER OPS - EXERCISE"),
  @XmlEnumValue("OTHER OPS - EXPERIMENTAL")
  OTHER_OPS_EXPERIMENTAL("OTHER OPS - EXPERIMENTAL"),
  @XmlEnumValue("OTHER OPS - HYDROLOGIC")
  OTHER_OPS_HYDROLOGIC("OTHER OPS - HYDROLOGIC"),
  @XmlEnumValue("OTHER OPS - HYDROLOGIC - LOCKS AND DAMS")
  OTHER_OPS_HYDROLOGIC_LOCKS_AND_DAMS("OTHER OPS - HYDROLOGIC - LOCKS AND DAMS"),
  @XmlEnumValue("OTHER OPS - SEARCH AND RESCUE")
  OTHER_OPS_SEARCH_AND_RESCUE("OTHER OPS - SEARCH AND RESCUE"),
  @XmlEnumValue("OTHER OPS - SEARCH AND RESCUE - CAP")
  OTHER_OPS_SEARCH_AND_RESCUE_CAP("OTHER OPS - SEARCH AND RESCUE - CAP"),
  @XmlEnumValue("OTHER OPS - SEISMIC")
  OTHER_OPS_SEISMIC("OTHER OPS - SEISMIC"),
  @XmlEnumValue("OTHER OPS - SPECIAL COURIER")
  OTHER_OPS_SPECIAL_COURIER("OTHER OPS - SPECIAL COURIER"),
  @XmlEnumValue("OTHER OPS - SPECIAL PROJECTS")
  OTHER_OPS_SPECIAL_PROJECTS("OTHER OPS - SPECIAL PROJECTS"),
  @XmlEnumValue("OTHER OPS - SPECIAL PROJECTS - HAARP")
  OTHER_OPS_SPECIAL_PROJECTS_HAARP("OTHER OPS - SPECIAL PROJECTS - HAARP"),
  @XmlEnumValue("OTHER OPS - SURVEY")
  OTHER_OPS_SURVEY("OTHER OPS - SURVEY"),
  @XmlEnumValue("OTHER OPS - TEST AND MEASUREMENT")
  OTHER_OPS_TEST_AND_MEASUREMENT("OTHER OPS - TEST AND MEASUREMENT");
  private final String value;

  ListCFN(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static ListCFN fromValue(String v) {
    for (ListCFN c : ListCFN.values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
